---
title: options
---
<alert type="info">
This prop can be passed to both

- `VOnboardingWrapper`
- `VOnboardingStep`

You can override `VOnboardingWrapper`'s options by passing options to `VOnboardingStep`
</alert>

---
**Default value**

```js
{
  popper: {},
  overlay: {
    enabled: true,
    padding: 0,
    borderRadius: 0
  },
  scrollToStep: {
    enabled: true,
    options: {
      behavior: 'smooth',
      block: 'center',
      inline: 'center'
    }
  }
}
```
---
| Name | Type | Default |
| :-------- | :-------- | :-------- |
| `popper` | [PopperJS options](https://popper.js.org/docs/v2/constructors/#options) | `{}` |
| `overlay` | | |
| `overlay.enabled` | `Boolean` | `true` |
| `overlay.padding` | `Number` `{ top: 0, right: 0, bottom: 0, left: 0 }` | `0` |
| `overlay.borderRadius` | `Number` `{ leftTop: 0, rightTop: 0, rightBottom: 0, leftBottom: 0 }` | `0` |
| `scrollToStep` | | |
| `scrollToStep.enabled` | `Boolean` | `true` |
| `scrollToStep.options` | [Scroll Into View Options](https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoView) | `{ behavior: 'smooth', block: 'center', inline: 'center'    }` |














